#include <stdio.h>
#include <stdlib.h>

void write_int (int *val, FILE *fp) {  
  unsigned char a, b, c, d;  
  a = (unsigned char) (0xff & (*val) >> 24);  
  b = (unsigned char) (0xff & (*val) >> 16);  
  c = (unsigned char) (0xff & (*val) >> 8);  
  d = (unsigned char) (0xff & (*val));  
  fwrite (&a, 1, 1, fp);  
  fwrite (&b, 1, 1, fp);  
  fwrite (&c, 1, 1, fp);  
  fwrite (&d, 1, 1, fp);
}

void write_short (short *val, FILE *fp) {  
  unsigned char a, b;  
  a = (unsigned char) (0xff & (*val) >> 8);  
  b = (unsigned char) (0xff & (*val));  
  fwrite (&a, 1, 1, fp);  
  fwrite (&b, 1, 1, fp);
}

void write_int_as_short (int *val, FILE *fp) {
  short s;
  s = (short) *val;
  write_short (&s, fp);
}

int main (int argc, char **argv) {
  int S;

  printf ("KnotPlot 1.0  %c\n", (char) 12);  /* Control-L */
  printf ("FRAC");

  int N, D;

  N = atoi (argv [1]);
  D = atoi (argv [2]);

  if (N < -32000 || N > 32000 || D < -32000 || D > 32000) {
    S = 8;
    write_int (&S, stdout);
    write_int (&N, stdout);
    write_int (&D, stdout);
  }
  else {
    S = 4;
    write_int (&S, stdout);
    write_int_as_short (&N, stdout);
    write_int_as_short (&D, stdout);
  }

  printf ("endf\n\n\n\n");

  return 0;
}
